@import "../../../styles.scss";
.create-report {
    width: 100%;
    height: calc(100%);
    overflow-y: auto;
    overflow-x: hidden;
    .location {
        width: calc(100% - 20px);
        min-height: 60px;
        padding: 10px;
        margin: 10px;
        border-radius: 5px;
        background-color: $boderColor;
        span {
            margin-right: 10px;
        }

        .select-location {
            color: $main;
        }
    }

    .input-box {
        padding: 0px 10px 0px 10px;
        width: 100%;
    }
    .draw {
        border-top: 1px solid $boderColor;
        border-bottom: 1px solid $boderColor;
        padding: 10px;
    }
    .btn-file {
        border-radius: 4px;
    }
    .file-item {
        position: relative;
        width: calc(50% - 20px);
        margin: 10px;
        padding: 5px;
        border: 1px solid $boderColor;
        border-radius: 4px;
        .btn-delete {
            position: absolute;
            top: -10px;
            right: -10px;
            width: 20px;
            height: 20px;
            background-color: $btnColor;
            border-radius: 50px;
            cursor: pointer;
            span {
                color: white;
                font-size: 12px;
            }
        }
    }

    .time-box {
        border: 1px solid gray;
        width: 100%;
        border-radius: 4px;
        height: 30px;
        padding: 0px 5px 0px;
    }

    .time-box-disable {
        border: 1px solid rgb(233, 233, 233);
    }

    .btn-save {
        border-radius: 4px;
        color: white;
        background-color: $btnColor;
    }

    .btn-save:disabled {
        border-radius: 4px;
        color: white;
        background-color: gray;
    }

    /////input/////

    input::placeholder {
        font-size: 12px;
    }
    input {
        font-size: 12px;
        padding: 0px 5px 0px;
        margin-top: 3px;
    }
    ::ng-deep.mat-mdc-text-field-wrapper.mdc-text-field--outlined .mat-mdc-form-field-infix {
        padding-top: 0px;
        padding-bottom: 4px;
    }
    ::ng-deep .mat-mdc-text-field-wrapper {
        height: $inputHeight;
        padding: 0px;
    }
    ::ng-deep.mat-mdc-form-field-flex {
        height: $inputHeight;
    }

    ///select///

    mat-select {
        padding: 0px 5px 0px 5px;
    }

    ::ng-deep .mat-mdc-select-value {
        width: 100%;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
        font-size: 12px;
    }
    ::ng-deep .mat-mdc-option.mdc-list-item {
        font-size: 12px !important;
    }

    ::ng-deep .mat-mdc-form-field-subscript-wrapper {
        height: 0px;
    }

    ////text ae

    textarea {
        font-size: 12px;
        padding: 5px;
    }

    /// ///
}

.resource-page {
    width: 100%;
    height: calc(100%);
    overflow-y: auto;
    overflow-x: hidden;
}


